.\" Copyright (c) 1999 Ottavio G. Rizzo <rizzo@pluto.linux.it>
.\"
.\" Traduction : Alain Portal <aportal AT univ-montp2 DOT fr> le 1/6/2005
.\"
.\" This is free documentation; you can redistribute it and/or
.\" modify it under the terms of the GNU General Public License as
.\" published by the Free Software Foundation; either version 2 of
.\" the License, or (at your option) any later version.
.\"
.\" The GNU General Public License's references to "object code"
.\" and "executables" are to be interpreted as the output of any
.\" document formatting or typesetting system, including
.\" intermediate and printed output.
.\"
.\" This manual is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public
.\" License along with this manual; if not, write to the Free
.\" Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
.\" USA.
.\" 
.TH MAKEWHATIS 8 "19 septembre 2005"
.SH NOM
makewhatis \- Crée la base de données whatis
.SH SYNOPSIS
.BI "makewhatis [-u] [-v] [-w] [-s " sections " ] [-c [" catpath "]] [" manpath "]"
.SH DESCRIPTION
.B makewhatis
lit toutes les pages de manuels contenues dans les sections
.I sections
du répertoire
. I manpath
ou les pages préformatées contenues dans les sections
.I sections
du répertoire
.IR catpath .
Pour chacune des pages,
.B makewhatis
écrit une ligne dans la base de données whatis\ ; chaque ligne est constituée
du nom de la page de manuel et d'une courte description de celle-ci, séparés
par un trait. La description est extraite du contenu de la section NAME de la
page de manuel.
.LP
Du fait que d'autres langues utilisent un terme différent pour la section NAME,
.B makewhatis
reconnaît les termes équivalents en allemand, espagnol, finnois, français,
italien et tchèque.
.LP
Si aucun argument
.I manpath
n'est fourni, la valeur par défaut est
.IR /usr/man .
.SH OPTIONS
.TP
.B -u
Mettre à jour la base de données avec de nouvelles pages.
.TP
.B -v
Sortie bavarde.
.TP
.B -w
Utiliser le chemin de recherche
.I manpath
obtenu par la commande «\ man --path\ ».
.TP 
.BI -s " sections"
Chercher dans les sections
.I sections
de
.IR manpath " ou " catpath .
Si cette option est absente, sa valeur est
.IR  " " \' "1 2 3 4 5 6 7 8 9 n l"\'
.TP 
.BI -c " catpath"
Les pages préformatées de manuel situées dans
.I catpath
sont scrutées. Si l'argument n'est pas fourni, il est supposé être le premier
des deux répertoires existant entre
.IR /usr/man/preformat " et " /usr/man .
.SH EXEMPLES
.PP
Pour reconstruire seulement les bases de données
.IR /usr/X11R6/man/whatis " et " /usr/local/man/whatis
.IP 
makewhatis /usr/X11R6/man /usr/local/man
.PP
Pour reconstruire toutes les bases de données en incluant les traductions
finnoise, française et italienne
.IP
LANGUAGE=fi:fr:it makewhatis -w
.SH BOGUES
.B makewhatis
peut ne pas très bien gérer les pages de manuels qui ont été écrites avec
des macros troff non standard, comme les pages Tcl/Tk.
.PP
.B makewhatis
ne fonctionne pas avec les traductions préformatées.

.SH AUTEUR
John W. Eaton est l'auteur historique de
.BR man .
Federico Lucifredi <flucifredi@acm.org> en assure aujourd'hui la maintenance.

.SH "VOIR AUSSI"
.BR apropos (1),
.BR man (1),
.BR whatis (1)

.SH TRADUCTION
.PP
Ce document est une traduction réalisée par Alain Portal
<aportal AT univ-montp2 DOT fr> le 1er juin 2005 et mise à jour
le 7 novembre 2005.
.PP
L'équipe de traduction a fait le maximum pour réaliser une adaptation
française de qualité. La version anglaise la plus à jour de ce document est
toujours consultable via la commande\ : «\ \fBLANG=en\ man\ 8\ makewhatis\fR\ ».
N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute
erreur dans cette page de manuel.

